Package: org.grails.exceptions.reporting

## [Groovy] Class DefaultStackTracePrinter

- org.grails.exceptions.reporting.DefaultStackTracePrinter

- All Implemented Interfaces and Traits:
    StackTracePrinter

      class DefaultStackTracePrinter
      extends java.lang.Object

  Authors:
    Graeme Rocher
  Since:
    2.2

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.lang.String` | `getFileName(java.lang.StackTraceElement te)`
    `` | `static java.lang.String` | `makeRelativeIfPossible(java.lang.String fileName)`
    `` | `java.lang.String` | `prettyPrint(java.lang.Throwable t)`
    `` | `protected void` | `printCausedByMessage(java.io.PrintWriter sb, java.lang.Throwable e)`
    `` | `protected void` | `printFailureLocation(java.io.PrintWriter sb, java.lang.String lineNumber, java.lang.String methodName, java.lang.String fileName)`
    `` | `protected void` | `printHeader(java.io.PrintWriter sb, java.lang.String header)`
    `` | `protected void` | `printLastEntry(java.io.PrintWriter sb, java.lang.String lineNumber, java.lang.String methodName, java.lang.String fileName)`
    `` | `protected void` | `printStackLine(java.io.PrintWriter sb, java.lang.String lineNumber, java.lang.String methodName, java.lang.String fileName)`
    `` | `protected boolean` | `shouldSkipNextCause(java.lang.Throwable e)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### protected java.lang.String getFileName(java.lang.StackTraceElement te)

    - #### static java.lang.String makeRelativeIfPossible(java.lang.String fileName)

    - #### java.lang.String prettyPrint(java.lang.Throwable t)

    - #### protected void printCausedByMessage(java.io.PrintWriter sb, java.lang.Throwable e)

    - #### protected void printFailureLocation(java.io.PrintWriter sb, java.lang.String lineNumber, java.lang.String methodName, java.lang.String fileName)

    - #### protected void printHeader(java.io.PrintWriter sb, java.lang.String header)

    - #### protected void printLastEntry(java.io.PrintWriter sb, java.lang.String lineNumber, java.lang.String methodName, java.lang.String fileName)

    - #### protected void printStackLine(java.io.PrintWriter sb, java.lang.String lineNumber, java.lang.String methodName, java.lang.String fileName)

    - #### protected boolean shouldSkipNextCause(java.lang.Throwable e)